---
composer: '...'
name: code sample
summary: code sample
labels:
- code
- sample
public: false
---

Running on `gram/build`, branch `home`:

```nushell
~/.build> c b              08/19/2024 07:23:37 AM AM
  deploy
* home
  mail
  main
  sessions
```

> Please be on guard!
> our nix code is broken inside `gram/build`'s `home` branch;
> since repairs in nushell are necessary preparación,
> ahead'o managing some core nix build problems.

Here is a sample call and response,
composed inside `config/nushell/place.nu` and `config/nushell/session.nu`;

```nushell
~/.build/nixos> place address (place index (session access) | last) (session access)
( let rec = cat 'name: build
clock: 2024-08-19T06:36:36-04:00
' | from yaml
      let key = place key $rec '~/rec/session.run.(.name).(.clock).rec'
      $key
       )
```

... please also see nixos/module/session.home.nix
and key mappings described in `~/.build/nixos/module/hypr.nix`;

```
# console sessions
"$c, Q, exec, ${console "session hop"}"
"$c, I, exec, ${console "session hop issue"}"
"$c $a, Q, exec, ${console "session hop (session choose)"}"
"$c $b, Q, exec, ${console "session record"}"
```

See more shell-building code inside [`gram/build`][0],
and chec'up on our changes inside [`^./share/change.log`][1].
all on [://share.operand.space][share].

[0]: https://share.operand.space/gram/build
[1]: https://share.operand.space/gram/build/share/change.log
[share]: https://share.operand.space
